Subject: bug#46151: 28.0.50; Set revert-buffer-function in shell command output buffers

From: Dmitry Gutov <[email-masked]>
Date: Mon, 1 Feb 2021 04:08:33 +0200

On 01.02.2021 02:08, Sean Whitton wrote:
> I think that this would have the same problem as 'g': since the buffers
> are freely-editable text, just trying to type something might result in
> a surprise re-execution of the command.

Fair enough.

But following that logic, having a easy global binding for revert-buffer 
(such as 'C-x g' or even 'C-c C-r') is likely to be dangerous.

It could still be possible for command output buffers, if we switch them 
to a special-mode derivative. Just how important is the ability to 
freely edit those buffers? Compared to being able to easily re-run the 
command.